import request from '@/utils/request'

// 查询关键机组联锁旁路列表
export function listInterlock(query) {
  return request({
    url: '/plant/interlock/list',
    method: 'get',
    params: query
  })
}

// 查询关键机组联锁旁路详细
export function getInterlock(id) {
  return request({
    url: '/plant/interlock/' + id,
    method: 'get'
  })
}

// 新增关键机组联锁旁路
export function addInterlock(data) {
  return request({
    url: '/plant/interlock',
    method: 'post',
    data: data
  })
}

// 修改关键机组联锁旁路
export function updateInterlock(data) {
  return request({
    url: '/plant/interlock',
    method: 'put',
    data: data
  })
}

// 删除关键机组联锁旁路
export function delInterlock(id) {
  return request({
    url: '/plant/interlock/' + id,
    method: 'delete'
  })
}

// 导出关键机组联锁旁路
export function exportInterlock(query) {
  return request({
    url: '/plant/interlock/export',
    method: 'get',
    params: query
  })
}
